<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__ap__credentials__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_ap_credentials_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__ap__credentials__t_1aefb4693ca1fa808349032561a2e4b3bc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748">cy_wcm_ssid_t</ref></type>
        <definition>cy_wcm_ssid_t cy_wcm_ap_credentials_t::SSID</definition>
        <argsstring />
        <name>SSID</name>
        <briefdescription>
<para>SSID of the Wi-Fi network to join; should be a null-terminated string. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="400" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="400" />
      </memberdef>
      <memberdef id="structcy__wcm__ap__credentials__t_1ad9ba797a8bc9bcb7708eb9b4560e3095" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga0c9f42f203c1dee3e3344163d1fdeba8">cy_wcm_passphrase_t</ref></type>
        <definition>cy_wcm_passphrase_t cy_wcm_ap_credentials_t::password</definition>
        <argsstring />
        <name>password</name>
        <briefdescription>
<para>Password needed to join the AP; should be a null-terminated string. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="401" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="401" />
      </memberdef>
      <memberdef id="structcy__wcm__ap__credentials__t_1a576fbc5a934d7efe6c98e265678c38d9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521">cy_wcm_security_t</ref></type>
        <definition>cy_wcm_security_t cy_wcm_ap_credentials_t::security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>Wi-Fi Security. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="see"><para><ref kindref="member" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521">cy_wcm_security_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="402" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="402" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used for providing the AP credential to connect to a AP using <ref kindref="member" refid="group__group__wcm__functions_1ga9e8e04210ba0fc7429473d28d4643c7c">cy_wcm_connect_ap</ref>. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="403" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="398" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="399" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__ap__credentials__t_1ad9ba797a8bc9bcb7708eb9b4560e3095" virt="non-virtual"><scope>cy_wcm_ap_credentials_t</scope><name>password</name></member>
      <member prot="public" refid="structcy__wcm__ap__credentials__t_1a576fbc5a934d7efe6c98e265678c38d9" virt="non-virtual"><scope>cy_wcm_ap_credentials_t</scope><name>security</name></member>
      <member prot="public" refid="structcy__wcm__ap__credentials__t_1aefb4693ca1fa808349032561a2e4b3bc" virt="non-virtual"><scope>cy_wcm_ap_credentials_t</scope><name>SSID</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>